# Module UTop_main

    module UTop_main: sig .. end

Start utop.

    val main : unit -> unit

Start utop.

    exception Term of int

Exception raised when a signal that should terminate the process is received. The argument is the signal number.

utop raises this exception for SIGHUP and SIGTERM by default.

    type value =

`|` | `V : `string * 'a` -> `value``

    val interact : search_path:string list ->
           unit:string ->
           loc:string * int * int * int -> values:value list -> unit